#!/bin/bash
appname=`basename $0 | sed s,\.sh$,,`

dirname=`dirname $0`
tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi
LD_LIBRARY_PATH=$dirname/lib
export LD_LIBRARY_PATH
export QT_QPA_PLATFORM=xcb # specify xcb, on HUAWEI 990/uOS specify to wayland when launch form start menu -Tan Dong 2024.01.04


lscpu | grep Cortex-A55 
if [ $? -eq 0 ]; then
    echo
    echo "Can't support HiDPI on HUAWEI CPU  (╯°Д°)╯︵ ┻━┻"
    echo
    echo "*********************************"
#else
    #hidpi
    # export QT_AUTO_SCREEN_SCALE_FACTOR=1 // comment, may have large UI in some PC -Tan Dong 2022.11.29
fi

QT_QPA_PLATFORM_PLUGIN_PATH=$dirname/plugins
export QT_QPA_PLATFORM_PLUGIN_PATH


$dirname/$appname "$@"
